> ## Documentation Index
> Fetch the complete documentation index at: https://docs.heyhumm.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Organizations

> Get all organizations the user has access to



## OpenAPI

````yaml https://config.heyhumm.ai/api/openapi.json get /api/organization
openapi: 3.1.0
info:
  title: Configuration API
  description: >-
    API for managing configuration and queues for various services. This service
    consolidates the API functionality previously provided by dd_rag_api and
    code_rag_api.
  version: 1.0.0
servers:
  - url: https://config.heyhumm.ai
security: []
paths:
  /api/organization:
    get:
      tags:
        - Organizations
      summary: Get Organizations
      description: Get all organizations the user has access to
      operationId: get_organizations_api_organization_get
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                items:
                  $ref: '#/components/schemas/OrganizationResponse'
                type: array
                title: Response Get Organizations Api Organization Get
      security:
        - HTTPBearer: []
components:
  schemas:
    OrganizationResponse:
      properties:
        name:
          type: string
          title: Name
        description:
          anyOf:
            - type: string
            - type: 'null'
          title: Description
        is_active:
          type: boolean
          title: Is Active
          default: true
        default_thread_sharing:
          $ref: '#/components/schemas/DefaultThreadSharing'
          default: private
        id:
          type: string
          format: uuid
          title: Id
        created_at:
          type: string
          format: date-time
          title: Created At
        updated_at:
          type: string
          format: date-time
          title: Updated At
        business_ontology:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Business Ontology
        ontology_version:
          anyOf:
            - type: integer
            - type: 'null'
          title: Ontology Version
        ontology_updated_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Ontology Updated At
        context_modules_config:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Context Modules Config
        data_storage_mode:
          $ref: '#/components/schemas/DataStorageMode'
          default: humm_hosted
        customer_s3_bucket:
          anyOf:
            - type: string
            - type: 'null'
          title: Customer S3 Bucket
        customer_s3_region:
          anyOf:
            - type: string
            - type: 'null'
          title: Customer S3 Region
        customer_storage_credential_mode:
          anyOf:
            - $ref: '#/components/schemas/CustomerStorageCredentialMode'
            - type: 'null'
        customer_aws_access_key_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Customer Aws Access Key Id
        has_customer_aws_secret_access_key:
          type: boolean
          title: Has Customer Aws Secret Access Key
          default: false
        customer_iam_role_arn:
          anyOf:
            - type: string
            - type: 'null'
          title: Customer Iam Role Arn
        customer_iam_role_external_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Customer Iam Role External Id
        customer_iam_role_pending_external_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Customer Iam Role Pending External Id
        entity_definitions_config:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Entity Definitions Config
        agent_lab_config:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Agent Lab Config
      type: object
      required:
        - name
        - id
        - created_at
        - updated_at
      title: OrganizationResponse
    DefaultThreadSharing:
      type: string
      enum:
        - private
        - organization
      title: DefaultThreadSharing
      description: Default thread sharing setting for organization.
    DataStorageMode:
      type: string
      enum:
        - humm_hosted
        - customer_hosted
      title: DataStorageMode
      description: Where synced integration data is stored.
    CustomerStorageCredentialMode:
      type: string
      enum:
        - static_keys
        - iam_role
      title: CustomerStorageCredentialMode
      description: How Humm authenticates to customer-hosted storage.
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````